@font-face {
    font-family: 'Marck';
    src: url('../fonts/MarckScript-Regular.ttf') format('truetype');
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #f8f7f3;
    color: #2b2b2b;
}

header {
    min-height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    padding: 20px;
    overflow: hidden;
}

header::before {
    content: "";
    position: absolute;
    inset: -20px;
    background: url('../img/limon.png') center/cover no-repeat;
    filter: blur(14px) brightness(0.6);
}

header > * {
    position: relative;
    z-index: 1;
}

header h1 {
    font-family: 'Marck', cursive;
    font-size: 56px;
    color: #f2c94c;
    margin: 10px 0;
}

header p {
    font-size: 16px;
    letter-spacing: 2px;
}
header .main_image {
    margin-left: auto;
    margin-right: auto;
}

header .main_image img {
    width: 300px;
    height: 400px;
    border: #f2c94c 1px solid;
    object-fit: cover;
}

.btn {
    margin-top: 20px;
    padding: 12px 28px;
    border: 1px solid white;
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
}

section {
    max-width: 700px;
    margin: auto;
    padding: 60px 20px;
    text-align: center;
    position: relative;
}

h2 {
    font-size: 13px;
    letter-spacing: 4px;
    text-transform: uppercase;
    color: #777;
}

.decor {
    margin: 25px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.decor::before,
.decor::after {
    content: "";
    width: 40px;
    height: 1px;
    background: #ccc;
}

.lemon {
    width: 8px;
    height: 8px;
    background: #f2c94c;
    border-radius: 50%;
}

.section-decor {
    position: absolute;
    width: 80px;
    opacity: 0.15;
}

.leaf-left {
    left: -20px;
    top: 20px;
}

.leaf-right {
    right: -20px;
    bottom: 20px;
    transform: rotate(180deg);
}

.timeline p {
    margin: 6px 0;
}

input, textarea {
    width: 100%;
    border: none;
    border-bottom: 1px solid #ccc;
    padding: 10px 0 10px 10px;
    margin: 15px 0;
    background: transparent;
}

footer {
    text-align: center;
    padding: 30px;
    font-size: 12px;
    color: #777;
}

.huinya {
    font-size: 30px;
    font-family: 'Marck';
}
.phone {
    text-decoration: none;
    color: inherit;
}

.toast {
 position: fixed;
  top: 20px;
  left: 50%;
  transform: translate(-50%, -200%);

  background: #4caf50;
  color: white;
  padding: 16px 24px;
  border-radius: 8px;
  box-shadow: 0 4px 15px rgba(0,0,0,0.2);
  display: flex;
  align-items: center;
  gap: 12px;
  font-family: sans-serif;
  z-index: 99999;
  transition: transform 0.4s ease;
  white-space: nowrap;
}

.toast.show {
  transform: translate(-50%, 0)
}

.toast .icon {
  background: rgba(255,255,255,0.2);
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-weight: bold;
}
#map {
    height: 400px;
    display: flex;
    justify-content: center;
}

@media (max-width: 375px) {
    header h1 {
        font-size: 36px;
    }

    .section-decor {
        display: none;
    }
    header .main_image {
        margin: 0 auto;
    }

    header .main_image img {
        width: 250px;
        height: 300px;
        border: #f2c94c 1px solid;
        object-fit: cover;
    }
}